一句代码禁用wordpress5.0的Gutenberg编辑器

今天wordpress推送了5.0版本。这个版本的最大不同就是编辑器换成了Gutenberg,但是这个编辑器对于如果仅仅是博客图文文章,很多功能是有点多余的,而且原来主题加在 Classic Editor 上的诸如短代码之类的增强功能都没法用了,再加上Gutenberg编辑器目前还是英文,更加的影响使用。所以站长们都不太愿意升级。

对于不愿意升级的用户,可以通过更改word press版本号的方法来禁止worpress升级,具体做法如下:

打开 /wp-includes/version.php 找到以下代码

  1. $wp_version = ‘4.9.8’;

修改成

  1. $wp_version = ‘5.0’;

以上方法来源自boke112导航

对于升级后的站长来说,可以通过安装Classic Editor或者Disable Gutenberg插件,切换回经典的编辑器。
对于不想安装插件的童鞋,由于wordpress本身并没有删除Classic Edito代码,所以也可以通过如下的方法来实现:

打开当前主题函数模板functions.php

加入一下代码:

  1. add_filter(‘use_block_editor_for_post’, ‘__return_false’);
  2. remove_action( ‘wp_enqueue_scripts’, ‘wp_common_block_scripts_and_styles’ );

以上方法来自知更鸟分享的方法

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!
0 条回复 A 作者 M 管理员
    所有的伟大,都源于一个勇敢的开始!
欢迎您,新朋友,感谢参与互动!欢迎您 {{author}},您在本站有{{commentsCount}}条评论